Notifications
Get a notification and its delivery attempts
GET
/v1/notifications/{id}Path parameters#
idstring · uuidrequired
Responses#
200Notification.
Object fields
idstring · uuidchannel_idstring · uuidchannel_kindstringkindstringalert, digest, test, security, summary, service.
stagestringStep of the alert:
unconfirmed(seen before confirmations),confirmed,cancelled(removed by a chain reorganization),escalation; or the kind of message for non-alert notifications.statusstringpriorityintegerrule_idstring · uuidnullablematch_idstring · uuidnullabledigest_idstring · uuidnullableDigest that counted this grouped alert.
attemptsintegernext_attempt_atstring · date-timenullablesent_atstring · date-timenullablefailed_atstring · date-timenullablelast_errorstringnullabletitlestringFirst line of the message.
textstringcreated_atstring · date-timedelivery_attemptsarray of objectNewest first, 100 at most.
Fields of each item
attemptintegerokbooleanstatus_codeintegernullableduration_msintegererrorstringnullableatstring · date-time
4xx · 5xxError.
Standard error format: see Errors.